Last Comment Bug 779192 - Linux builder fails with elfhack, requires CXXABI_1.3.2, update libstdc++ or compiler
: Linux builder fails with elfhack, requires CXXABI_1.3.2, update libstdc++ or ...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Lightning 1.9
: x86_64 Windows 7
: -- blocker (vote)
: 1.9
Assigned To: Philipp Kewisch [:Fallen]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 10:02 PDT by Philipp Kewisch [:Fallen]
Modified: 2012-09-06 10:03 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Philipp Kewisch [:Fallen] 2012-07-31 10:02:11 PDT
/buildbot/cc-linux64-nightly/build/objdir-tb/mozilla/build/unix/elfhack/elfhack: /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.2' not found (required by /buildbot/cc-linux64-nightly/build/objdir-tb/mozilla/build/unix/elfhack/elfhack)
make[7]: *** [test.so] Error 1

Similar message as in bug 678013, where the problem had to do with the compiler.
Comment 1 Stefan Sitter 2012-08-19 22:31:39 PDT
Any update on this? Linux nightly builds are gone for more than one month now. 

In the build output the following is noted before the error message:
> === If you get failures below, please file a bug describing the error
> === and your environment (compiler and linker versions), and use
> === --disable-elf-hack until this is fixed.
Comment 2 Stefan Sitter 2012-08-29 08:09:16 PDT
Now breaks Lightning 1.9 (comm-aurora) and Lightning 2.0 (comm-central) builds.
Comment 3 Stefan Sitter 2012-09-04 14:53:25 PDT
Philipp, any update on this? Or is there someone else from release team who could help? 
It's the 7th week without any Linux nightly build.
Comment 4 Philipp Kewisch [:Fallen] 2012-09-05 01:14:46 PDT
Today is the day I will fix all the builders. My last exam for the semester was yesterday :-)
Comment 5 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-05 06:50:29 PDT
Live in production.
Comment 6 Philipp Kewisch [:Fallen] 2012-09-05 09:13:32 PDT
Armen, sure you commented on the right bug? I'm not quite sure what your comment refers to?
Comment 7 Philipp Kewisch [:Fallen] 2012-09-05 09:30:35 PDT
Fixed by http://hg.mozilla.org/build/buildbot-configs/rev/47c9ecbc9365 hopefully.
Comment 8 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-05 09:56:32 PDT
I merged changes from default to production branch and I saw this comment "Bug 779192 - Linux builder fails with elfhack, requires CXXABI_1.3.2 " (http://hg.mozilla.org/build/buildbot-configs/rev/47c9ecbc9365)

I thought it was one of the releng Firefox changes and made the comment to indicate that it was live in our production masters.

It was not necessary after all!
Comment 9 Philipp Kewisch [:Fallen] 2012-09-05 10:40:36 PDT
Oh ok. I'll try to make it more clear that its calendar next time!
Comment 10 Philipp Kewisch [:Fallen] 2012-09-05 21:55:24 PDT
Wrong changeset, although related. This is the one that actually fixed it:

http://hg.mozilla.org/build/buildbot-configs/rev/f4bbd05bc1a2

The Linux builds are now green and we have a new nightly!

Note You need to log in before you can comment on or make changes to this bug.